## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class UDFNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.UDFNamesAndSignatures

    public class UDFNamesAndSignatures

extends java.lang.Object

Author:
  nbhatia The class contains static function to populate UDF name. It populates the name base on the assumption that Model is already update. It gets the meta data from the modal.

Constructor Summary
`UDFNamesAndSignatures()`

Method Summary
`static java.util.List` `getAllUDFsForDatabase(Database database)` Returns List of all the UDFs for the given database.
`static java.lang.String[]` `getUDFNames(SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getUDFParams(java.lang.String functionName)`
`static java.lang.String[]` `mergeTwoArrays(java.lang.String[] arr1, java.lang.String[] arr2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDFNamesAndSignatures

    public UDFNamesAndSignatures()

Method Detail

### getUDFParams

    public static java.lang.Object[][] getUDFParams(java.lang.String functionName)

### getUDFNames

    public static final java.lang.String[] getUDFNames(SQLDomainModel domainModel)

### getAllUDFsForDatabase

    public static java.util.List getAllUDFsForDatabase(Database database)

  Returns List of all the UDFs for the given database.

  Parameters:
    `database` - the Database for which all the UDFs is needed
  Returns:
    list of UDFs

### mergeTwoArrays

    public static final java.lang.String[] mergeTwoArrays(java.lang.String[] arr1,
                                                          java.lang.String[] arr2)